build1:
  stage: build
  tags:
    -  builder
  script:
    - echo $CI_JOB_ID
    - echo $CI_PROJECT_DIR
    - echo $CI_PIPELINE_IID
    - echo hello 
    - sudo docker build -t patelhaha007/$CI_PROJECT_NAME  .
    - sudo docker tag patelhaha007/$CI_PROJECT_NAME patelhaha007/$CI_PROJECT_NAME:$CI_PIPELINE_IID
    - sudo docker tag patelhaha007/$CI_PROJECT_NAME patelhaha007/$CI_PROJECT_NAME:latest
    - sudo docker push patelhaha007/$CI_PROJECT_NAME:latest
    - sudo docker push patelhaha007/$CI_PROJECT_NAME:$CI_PIPELINE_IID


deploy:
  stage: deploy
  tags: 
    - builder 
  script:
    - scp -r $(pwd)/kube/ kali@192.168.25.14:/home/kali
    - ssh kali@192.168.25.14 'kubectl apply -f /home/kali/kube/mod.yml'
